org.apache.cayenne.template

## Class Context

- java.lang.Object
- - org.apache.cayenne.template.Context

-     public class Context
      extends Object

  Since:
    4.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Context(Map<String,Directive> directives, Map<String,?> parameters, boolean positionalMode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addColumnDescriptor(ColumnDescriptor descriptor)`
    `void` | `addParameterBinding(ParameterBinding binding)`
    `String` | `buildTemplate()`
    `StringBuilder` | `getBuilder()`
    `ColumnDescriptor[]` | `getColumnDescriptors()`
    `Directive` | `getDirective(String name)`
    `Object` | `getObject(String name)`
    `ParameterBinding[]` | `getParameterBindings()`
    `boolean` | `haveObject(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Context

          public Context(Map<String,Directive> directives,
                         Map<String,?> parameters,
                         boolean positionalMode)

  - ### Method Detail

    - #### getDirective

          public Directive getDirective(String name)

    - #### getBuilder

          public StringBuilder getBuilder()

    - #### buildTemplate

          public String buildTemplate()

    - #### haveObject

          public boolean haveObject(String name)

    - #### getObject

          public Object getObject(String name)

    - #### addParameterBinding

          public void addParameterBinding(ParameterBinding binding)

    - #### addColumnDescriptor

          public void addColumnDescriptor(ColumnDescriptor descriptor)

    - #### getColumnDescriptors

          public ColumnDescriptor[] getColumnDescriptors()

    - #### getParameterBindings

          public ParameterBinding[] getParameterBindings()

Copyright © 2001–2021 Apache Cayenne. All rights reserved.